public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/corebird/
Date: Mon,  8 May 2017 16:49:48 +0000 (UTC)	[thread overview]
Message-ID: <1494262174.6df860732ccf171d5756f376395a41931e32e832.mgorny@gentoo> (raw)

commit:     6df860732ccf171d5756f376395a41931e32e832
Author:     Moritz Schlarb <moschlar <AT> metalabs <DOT> de>
AuthorDate: Fri May  5 05:56:14 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May  8 16:49:34 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6df86073

net-im/corebird: Version bump to 1.5

Also fixed dependencies for embedded video playback using gstreamer.

Bug: https://bugs.gentoo.org/578450
Bug: https://bugs.gentoo.org/591342
Bug: https://bugs.gentoo.org/529598
Closes: https://github.com/gentoo/gentoo/pull/4544

 net-im/corebird/Manifest            |  1 +
 net-im/corebird/corebird-1.5.ebuild | 58 +++++++++++++++++++++++++++++++++++++
 net-im/corebird/metadata.xml        |  8 +++--
 3 files changed, 65 insertions(+), 2 deletions(-)

diff --git a/net-im/corebird/Manifest b/net-im/corebird/Manifest
index 40ca2b49dca..c76b27d34d5 100644
--- a/net-im/corebird/Manifest
+++ b/net-im/corebird/Manifest
@@ -1,3 +1,4 @@
 DIST corebird-0.8.tar.gz 1655839 SHA256 4e68e174edc40b49d70a11c1b0a1b196ca9517daa8eae6ce2da3e8004acda611 SHA512 308bc0ade8ddda0b0be0949e5199bf6ac1b3658bf6e181821a205a602b2a22a97e77583cd5ca63ba272926810095104ae4117e54ccda10234d143c3377b9384d WHIRLPOOL 2e014590c0d9222a6a53d78d855ff9017fa9b3c68c2c354bc2acad1b028bd6253fa9510fbc5ce391bc65319829e14c5447b4be4cbcc8427faace790767e6d98c
 DIST corebird-1.0.tar.gz 1697452 SHA256 0ca4ca20b0281b2901382810ef8bd1682bb896c3915ad3bea3f2a41461118001 SHA512 098dd764a3aecaeda90ad5b0e24a4bf172025ce1a4105b713a1a73385d1de9cca028d7a34a39e9682ad4e2b2b22d4bf2889668c587e363cdfa6053136b1f4c39 WHIRLPOOL e033988b94632ad6b8d4e8c79a6125311466e81d746dd434801451f71e4590558b1797e8690ff033c1c04aeb4a299191993421a64e9d3a925409cda663478ab8
 DIST corebird-1.1.tar.gz 1757414 SHA256 f6109cc2bdc7ee5893c28861a73df4eeaec4b76b99222a90aec381b03b19c8a7 SHA512 b753a22ea9f597cb44df367852c27c94972f8747dfc3541826745c29a44c7b25237d40a7927b2be6002651efdd63f5e4bb6bd2b51edf6b66c3a436963be814bc WHIRLPOOL f01ee9e6452dc4f84f93c73c571033c64a4affdfb67c185e45cf1908101966075d2d310575ebfd8e340ba4fc10a8070af869b54b071a4ed6d95fc60cdb387144
+DIST corebird-1.5.tar.gz 492120 SHA256 39d451238ef30bf2caf5568d9c02c6e2a2f8b7256f19786ebcd6557adc815203 SHA512 eb0356c28bd4a3385c2194a4a05448741a579c521df481cff8c5f873e8769ccfe72a38a3fa709a43276b107a94c8c900e9163c517fcd7fe23cd738ff59de3eb0 WHIRLPOOL bf70be6b271afbe6735dd0d2ce0e0e0162cc2aac7f1336317cce9c446a7c898d29d4b44ea6305674cd9ead8022b1ddc8ea10a9f88d0422ca410168efd675d550

diff --git a/net-im/corebird/corebird-1.5.ebuild b/net-im/corebird/corebird-1.5.ebuild
new file mode 100644
index 00000000000..31d8d5e2ff3
--- /dev/null
+++ b/net-im/corebird/corebird-1.5.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VALA_MIN_API_VERSION=0.34
+
+inherit autotools gnome2 vala virtualx
+
+DESCRIPTION="Native GTK+3 Twitter client"
+HOMEPAGE="http://corebird.baedert.org/"
+SRC_URI="https://github.com/baedert/corebird/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug gstreamer spellcheck"
+
+RDEPEND="dev-db/sqlite:3
+	>=dev-libs/glib-2.44:2
+	dev-libs/json-glib
+	gstreamer? ( media-plugins/gst-plugins-meta:1.0[X]
+		media-libs/gst-plugins-base:1.0[X]
+		>=media-libs/gst-plugins-bad-1.6:1.0[X]
+		media-libs/gst-plugins-good:1.0
+		media-plugins/gst-plugins-libav:1.0
+		media-plugins/gst-plugins-soup:1.0
+		media-plugins/gst-plugins-hls:1.0 )
+	spellcheck? ( >=app-text/gspell-1.0 )
+	>=net-libs/libsoup-2.42.3.1
+	>=net-libs/rest-0.7.91:0.7
+	>=x11-libs/gtk+-3.18:3"
+DEPEND="${RDEPEND}
+	$(vala_depend)
+	>=dev-util/intltool-0.40
+	sys-apps/sed
+	virtual/pkgconfig"
+
+src_prepare() {
+	sed -i -e "/highlighting/d" tests/Makefile.am || die
+	sed -i -e "/manpagedir/s/manpagedir.*/&\/man1/g" data/Makefile.am || die
+	eautoreconf
+	gnome2_src_prepare
+	vala_src_prepare
+}
+
+src_configure() {
+	local myeconfargs=(
+		$(use_enable gstreamer video)
+		--disable-gst-check
+		$(use_enable spellcheck)
+	)
+	gnome2_src_configure "${myeconfargs[@]}"
+}
+
+src_test() {
+	virtx emake check
+}

diff --git a/net-im/corebird/metadata.xml b/net-im/corebird/metadata.xml
index 76e81aae8d1..76003f5872b 100644
--- a/net-im/corebird/metadata.xml
+++ b/net-im/corebird/metadata.xml
@@ -9,8 +9,11 @@
 	<maintainer type="person">
 		<email>markpariente@gmail.com</email>
 		<name>Mark R. Pariente</name>
-		<description>Proxied maintainer; CC in all bugs 
-bugs</description>
+		<description>Proxied maintainer; CC in all bugs bugs</description>
+	</maintainer>
+	<maintainer type="person">
+		<email>moschlar@metalabs.de</email>
+		<name>Moritz Schlarb</name>
 	</maintainer>
 	<maintainer type="project">
 		<email>proxy-maint@gentoo.org</email>
@@ -18,6 +21,7 @@ bugs</description>
 	</maintainer>
 	<use>
 		<flag name="glade">Install glade catalogs for corebird</flag>
+		<flag name="spellcheck">Support spell checking</flag>
 	</use>
 	<upstream>
 		<remote-id type="github">baedert/corebird</remote-id>


             reply	other threads:[~2017-05-08 16:50 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-05-08 16:49 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-09-16 19:11 [gentoo-commits] repo/gentoo:master commit in: net-im/corebird/ Sam James
2020-02-05 13:06 Mart Raudsepp
2019-07-01  1:24 Jonas Stein
2018-11-11 22:38 Patrice Clement
2018-05-20  0:16 Aaron Bauman
2018-04-11 22:47 Patrice Clement
2018-04-08  8:49 Jonas Stein
2018-01-10 23:40 Craig Andrews
2017-11-08 22:48 Patrice Clement
2017-10-22 17:16 Patrice Clement
2017-10-14 17:37 Jonas Stein
2017-07-30 11:09 David Seifert
2017-07-30 11:09 David Seifert
2017-06-17 19:42 Michał Górny
2017-05-31 16:28 Patrice Clement
2016-04-02  3:56 Ian Delaney
2015-10-10 11:45 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1494262174.6df860732ccf171d5756f376395a41931e32e832.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox